package backend

import (
	"context"
	"gitee.com/xuyiping_admin/pkg/xerr"
	"kpt-tmr-group/model"
)

func (s *StoreEntry) GetEditRecordLastGroupId(ctx context.Context) (*model.FeedFormulaEditRecord, error) {
	editRecord := &model.FeedFormulaEditRecord{}
	if err := s.DB.Model(new(model.FeedFormulaEditRecord)).Order("group_id desc").Take(editRecord).Error; err != nil {
		return editRecord, xerr.WithStack(err)
	}
	return editRecord, nil
}
